export declare class PieStimulusLayout {
    static handleElements(): void;
    private resizer;
    private readMoreButton;
    private stimulus;
    allowedResize?: boolean;
    isResizing: boolean;
    initialX: number;
    initialLeftFlex: number;
    initialRightFlex: number;
    componentDidRender(): void;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    componentDidUnload(): void;
    private handleReadMore;
    private handleMouseMove;
    private handleMouseUp;
    private getStyle;
    render(): any;
}
